/*--------------------------------------------------------------------------*/
/*                   Mandelmania - ARexx - Script - File                    */
/*--------------------------------------------------------------------------*/

address 'rexx_mandelmania'

signal on ERROR 
signal on BREAK_C 

pic      = 0

animname = 'dh2:mandel3'

'openanim' animname'.anim' 

/*--------------------------------------------------------------------------*/

left1   = '-1.956353003647102'
right1  = '1.94839347515497'
bottom1 = '-1.778625050415763'
top1    = '2.119391723306482'
xc1     = '0.1851851851851852'
yc1     = '0.6285714285714289'
iter1   = 32
type    = 3

/*--------------------------------------------------------------------------*/

left2   = '0.01596342333609702'
right2  = '0.2714116329210099'
bottom2 = '-0.3187398083213083'
top2    = '-0.1608701289855573'
xc2     = '0.1851851851851852'
yc2     = '0.6285714285714289'
iter2   = 32

steps   = 100

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic steps-1 left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	if i <= 1 then do 
		'savefractal' animname'.'i 
		end 
	end 

pic = pic+steps

/*--------------------------------------------------------------------------*/

/* Tail.rexx */

ERROR:
BREAK_C:
if RC then do
	say ' 'SIGL '*-*' SOURCELINE(SIGL)
	say 'Error' RC
	end

'openfractal' animname'.0'	/* For looped animations */
'saveanim'
'openfractal' animname'.1'
'saveanim'

'closeanim'

address command 'delete' animname'.0 QUIET'
address command 'delete' animname'.1 QUIET'
exit 0
