/*--------------------------------------------------------------------------*/
/*                   Mandelmania - ARexx - Script - File                    */
/*--------------------------------------------------------------------------*/

address 'rexx_mandelmania'

signal on ERROR
signal on BREAK_C 

pic      = 0

animname = 'dh2:mandel2'

'openanim' animname'.anim' 

/*--------------------------------------------------------------------------*/

left1   = '-2'
right1  = '2'
bottom1 = '-2'
top1    = '2'
xc1     = '-0.5750000000000001'
yc1     = '0.6000000000000001'
iter1   = 32
type    = 3

/*--------------------------------------------------------------------------*/

left2   = '-0.1258060760498047'
right2  = '-0.07363368835449219'
bottom2 = '0.086592'
top2    = '0.188148'
xc2     = '-0.5750000000000001'
yc2     = '0.6000000000000001'
iter2   = 32

steps   = 40

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic steps-1 left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	if i <= 1 then do 
		'savefractal' animname'.'i 
		end 
	end 

pic = pic+steps

/*--------------------------------------------------------------------------*/

/* Tail.rexx */

ERROR:
BREAK_C:
if RC then do
	say ' 'SIGL '*-*' SOURCELINE(SIGL)
	say 'Error' RC
	end

'openfractal' animname'.0'	/* For looped animations */
'saveanim'
'openfractal' animname'.1'
'saveanim'

'closeanim'

address command 'delete' animname'.0 QUIET'
address command 'delete' animname'.1 QUIET'
exit 0
