/*--------------------------------------------------------------------------*/
/*                   Mandelmania - ARexx - Script - File                    */
/*--------------------------------------------------------------------------*/

address 'rexx_mandelmania'

signal on ERROR 
signal on BREAK_C 

pic      = 0

animname = 'dh3:Mandel5'

'openanim' animname'.anim' 

/*--------------------------------------------------------------------------*/

left1   = '0.3868266626941915'
right1  = '0.3878563917977469'
bottom1 = '-0.1041502494070862'
top1    = '-0.1032547774590259'
xc1     = '0'
yc1     = '0'
iter1   = 500
type    = 0

/*--------------------------------------------------------------------------*/

left2   = '0.383912174871964'
right2  = '0.3858090971740866'
bottom2 = '-0.1034267802958623'
top2    = '-0.1017702817021124'
xc2     = '0'
yc2     = '0'
iter2   = 500

steps   = 100

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic steps-1 left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	if i <= 1 then do 
		'savefractal' animname'.'i 
		end 
	end 

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;

pic = pic+steps

/*--------------------------------------------------------------------------*/

left2   = '0.3851190716744107'
right2  = '0.3851288710539883'
bottom2 = '-0.1025229577416642'
top2    = '-0.10251459073337'
xc2     = '0'
yc2     = '0'
iter2   = 500

steps   = 100

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic steps-1 left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	if i <= 1 then do 
		'savefractal' animname'.'i 
		end 
	end 

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;

pic = pic+steps

/*--------------------------------------------------------------------------*/

/* Tail.rexx */

ERROR:
BREAK_C:
if RC then do
	say ' 'SIGL '*-*' SOURCELINE(SIGL)
	say 'Error' RC
	end

'openfractal' animname'.0'	/* For looped animations */
'saveanim'
'openfractal' animname'.1'
'saveanim'

'closeanim'

address command 'delete' animname'.0 QUIET'
address command 'delete' animname'.1 QUIET'
exit 0
