/*--------------------------------------------------------------------------*/
/*                   Mandelmania - ARexx - Script - File                    */
/*--------------------------------------------------------------------------*/

address 'rexx_mandelmania'

signal on ERROR 
signal on BREAK_C 

pic      = 0

animname = 'dh2:Mandel4'

'openanim' animname'.anim' 

/*--------------------------------------------------------------------------*/

left1   = '-2.5'
right1  = '1.5'
bottom1 = '-1.75'
top1    = '1.75'
xc1     = '0'
yc1     = '0'
iter1   = 32
type    = 0

/*--------------------------------------------------------------------------*/

left2   = '0.3865224609375'
right2  = '0.3881240234375'
bottom2 = '-0.10434025'
top2    = '-0.102986625'
xc2     = '0'
yc2     = '0'
iter2   = 125

steps   = 30

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic steps-1 left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	if i <= 1 then do 
		'savefractal' animname'.'i 
		end 
	end 

pic = pic+steps

/*--------------------------------------------------------------------------*/

/* Tail.rexx */

ERROR:
BREAK_C:
if RC then do
	say ' 'SIGL '*-*' SOURCELINE(SIGL)
	say 'Error' RC
	end

'openfractal' animname'.0'	/* For looped animations */
'saveanim'
'openfractal' animname'.1'
'saveanim'

'closeanim'

address command 'delete' animname'.0 QUIET'
address command 'delete' animname'.1 QUIET'
exit 0
